Index: kernel/arch/sparc64/src/trap/exception.c
===================================================================
--- kernel/arch/sparc64/src/trap/exception.c	(revision b3f8fb771f871e7f2bb35ce9339717639e8f86d6)
+++ kernel/arch/sparc64/src/trap/exception.c	(revision 3ee8a07528aa466b40a362672714a05e936d396e)
@@ -54,7 +54,7 @@
 void instruction_access_exception(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -62,7 +62,7 @@
 void instruction_access_error(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -70,7 +70,7 @@
 void illegal_instruction(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -78,7 +78,7 @@
 void privileged_opcode(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -86,7 +86,7 @@
 void unimplemented_LDD(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -94,7 +94,7 @@
 void unimplemented_STD(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -114,7 +114,7 @@
 	scheduler_fpu_lazy_request();
 #else
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 #endif
 }
@@ -123,7 +123,7 @@
 void fp_exception_ieee_754(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -131,7 +131,7 @@
 void fp_exception_other(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -139,7 +139,7 @@
 void tag_overflow(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -147,7 +147,7 @@
 void division_by_zero(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -155,8 +155,8 @@
 void data_access_exception(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
 	dump_istate(istate);
 	dump_sfsr_and_sfar();
-	panic("%s\n", __FUNCTION__);
+	panic("%s\n", __func__);
 }
 
@@ -164,7 +164,7 @@
 void data_access_error(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -172,7 +172,7 @@
 void mem_address_not_aligned(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -180,7 +180,7 @@
 void LDDF_mem_address_not_aligned(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -188,7 +188,7 @@
 void STDF_mem_address_not_aligned(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -196,7 +196,7 @@
 void privileged_action(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -204,7 +204,7 @@
 void LDQF_mem_address_not_aligned(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
@@ -212,7 +212,7 @@
 void STQF_mem_address_not_aligned(int n, istate_t *istate)
 {
-	fault_if_from_uspace(istate, "%s\n", __FUNCTION__);
-	dump_istate(istate);
-	panic("%s\n", __FUNCTION__);
+	fault_if_from_uspace(istate, "%s\n", __func__);
+	dump_istate(istate);
+	panic("%s\n", __func__);
 }
 
